### Enumeration

# Gio FileType

since: 2.0

#### Declaration

    enum Gio.FileType

#### Description

Indicates the file’s on-disk type.

On Windows systems a file will never have `G_FILE_TYPE_SYMBOLIC_LINK` type; use `GFileInfo` and `G_FILE_ATTRIBUTE_STANDARD_IS_SYMLINK` to determine whether a file is a symlink or not. This is due to the fact that NTFS does not have a single filesystem object type for symbolic links - it has files that symlink to files, and directories that symlink to directories. `GFileType` enumeration cannot precisely represent this important distinction, which is why all Windows symlinks will continue to be reported as `G_FILE_TYPE_REGULAR` or `G_FILE_TYPE_DIRECTORY`.

Available since: 2.0

#### Members

`G_FILE_TYPE_UNKNOWN`

  File’s type is unknown.

  - Value: `0`
  - Nickname: `unknown`
  - Available since: 2.0
`G_FILE_TYPE_REGULAR`

  File handle represents a regular file.

  - Value: `1`
  - Nickname: `regular`
  - Available since: 2.0
`G_FILE_TYPE_DIRECTORY`

  File handle represents a directory.

  - Value: `2`
  - Nickname: `directory`
  - Available since: 2.0
`G_FILE_TYPE_SYMBOLIC_LINK`

  File handle represents a symbolic link (Unix systems).

  - Value: `3`
  - Nickname: `symbolic-link`
  - Available since: 2.0
`G_FILE_TYPE_SPECIAL`

  File is a “special” file, such as a socket, fifo, block device, or character device.

  - Value: `4`
  - Nickname: `special`
  - Available since: 2.0
`G_FILE_TYPE_SHORTCUT`

  File is a shortcut (Windows systems).

  - Value: `5`
  - Nickname: `shortcut`
  - Available since: 2.0
`G_FILE_TYPE_MOUNTABLE`

  File is a mountable location.

  - Value: `6`
  - Nickname: `mountable`
  - Available since: 2.0